Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry cesty
name
string
vyžadováno
The friendly name of the connection, provided by the user.
Parametry záhlaví
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Odpovědi
The request has succeeded.
Hlavičky
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Text
name
string
vyžadováno
The friendly name of the connection, provided by the user.
id
string
vyžadováno
A unique identifier for the connection, generated by the service
type
string | enum
vyžadováno
The Type (or category) of the connection
enum
target
string
vyžadováno
The connection URL to be used for this service
isDefault
boolean
vyžadováno
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
vyžadováno
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
vyžadováno
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
vyžadováno
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
vyžadováno
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
vyžadováno
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
vyžadováno
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
vyžadováno
The credential type
metadata
object
vyžadováno
Metadata of the connection
Žádost
GET /connections/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json